grails-app/controllers/org/grails/content/ContentPendingApprovalController.groovy
package org.grails.content

import org.grails.common.*
import org.grails.community.*

class ContentPendingApprovalController {
    def searchableService

    def list() {
        [pendingPlugins: org.grails.plugin.PluginPendingApproval.pending.list()]
    }
    
    def approve(Long id, String type) {
        setStatus(id, type, ApprovalStatus.APPROVED)
    }
    
    def reject(Long id, String type) {
        setStatus(id,type, ApprovalStatus.REJECTED)
    }
    
    protected setStatus(Long id, String type, ApprovalStatus status) {
        if (id == null && type == null) {
            flash.message = "Can't find valid content to $status"
            redrect action: "list"
        }
        else {
            def content = getClass().classLoader.loadClass(type).get(id)
            
            if(content != null) {
                saveStatus content, status
                flash.message = "You have ${status.toString().toLowerCase()} ${content.getClass().simpleName.toLowerCase()} '${content.title}'"
                redirect action: "list"
            }
            else {
                flash.message = "Can't find valid content to $status"                            
            }

        }        
    }

    protected saveStatus(item, status) {
        try {
            searchableService.stopMirroring()
            item.status = status
            item.save flush:true
        }
        finally {
            searchableService.startMirroring()
        }
    }
}

grails-app/views/contentPendingApproval/_pendingApprovals.gsp
<%@page import="grails.util.GrailsNameUtils" %>
<table class="table table-bordered table-striped">
    <thead>
    <tr>
        <g:sortableColumn property="title" title="Title"/>
        <g:sortableColumn property="status" title="Status"/>
        <g:sortableColumn property="class" title="Type"/>
        <th>Action</th>
    </tr>
    </thead>
    <tbody>
        <g:each in="${pendingItems}" var="item">
        <tr>
            <td><g:link controller="${GrailsNameUtils.getPropertyName(item.getClass())}" action="show" id="${item.id}">${item.title}</g:link></td>
            <td><common:approvalStatus status="${item.status}" type="badge" /></td>
            <td>${item.getClass().simpleName}</td>
            <td>
                   <g:link controller="contentPendingApproval" action="approve" id="${item.id}" params="[type: item.class.name]"
                            class="btn btn-primary"
                            value="Send Response to Submitter"
                            onclick="return confirm('Are you sure?');">Approve</g:link>
                            
                    <g:link controller="contentPendingApproval" action="reject" id="${item.id}" params="[type: item.class.name]"
                             class="btn btn-danger"
                             value="Send Response to Submitter"
                             onclick="return confirm('Are you sure?');">Reject</g:link>

                            
            </td>
        </tr>
        </g:each>
        <g:each in="${pendingPlugins}" var="plugin">
        <tr>
            <td><g:link controller="pluginPendingApproval" action="show" id="${plugin.id}">${plugin.name}</g:link></td>
            <td><common:approvalStatus status="${plugin.status}" type="badge" /></td>
            <td>Plugin</td>
            <td>
                   <g:link controller="pluginPendingApproval" action="show" id="${plugin.id}"
                            class="btn btn-primary">View</g:link>
                            
            </td>
        </tr>
        </g:each>        
    </tbody>
</table>

grails-app/views/contentPendingApproval/list.gsp
<%@page import="grails.util.GrailsNameUtils" %>
<html>
<head>
    <meta name="layout" content="admin"/>
</head>

<body>

<h1 class="page-header">Content Approval Queue</h1>

<g:if test="${flash.message}">
    <div class="alert alert-info">
        ${flash.message}
    </div>
</g:if>

<h2>Pending Items</h2>
<g:render template="pendingApprovals" />